Open CASCADE Technology
7.7.0
|
This class is used to send the description of an Edge to the classifier. It contains an Edge and a Face. So the PCurve of the Edge can be found. More...
#include <BRepClass_Edge.hxx>
Public Member Functions | |
BRepClass_Edge () | |
BRepClass_Edge (const TopoDS_Edge &E, const TopoDS_Face &F) | |
TopoDS_Edge & | Edge () |
Returns the current Edge. More... | |
const TopoDS_Edge & | Edge () const |
TopoDS_Face & | Face () |
Returns the Face for the current Edge. More... | |
const TopoDS_Face & | Face () const |
const TopoDS_Edge & | NextEdge () const |
Returns the next Edge. More... | |
void | SetNextEdge (const TopTools_IndexedDataMapOfShapeListOfShape &theMapVE) |
Finds and sets the next Edge for the current. More... | |
Standard_Real | MaxTolerance () const |
Returns the maximum tolerance. More... | |
void | SetMaxTolerance (const Standard_Real theValue) |
Sets the maximum tolerance at which to start checking in the intersector. More... | |
Standard_Boolean | UseBndBox () const |
Returns true if we are using boxes in the intersector. More... | |
void | SetUseBndBox (const Standard_Boolean theValue) |
Sets the status of whether we are using boxes or not. More... | |
This class is used to send the description of an Edge to the classifier. It contains an Edge and a Face. So the PCurve of the Edge can be found.
BRepClass_Edge::BRepClass_Edge | ( | ) |
BRepClass_Edge::BRepClass_Edge | ( | const TopoDS_Edge & | E, |
const TopoDS_Face & | F | ||
) |
TopoDS_Edge& BRepClass_Edge::Edge | ( | ) |
Returns the current Edge.
const TopoDS_Edge& BRepClass_Edge::Edge | ( | ) | const |
TopoDS_Face& BRepClass_Edge::Face | ( | ) |
Returns the Face for the current Edge.
const TopoDS_Face& BRepClass_Edge::Face | ( | ) | const |
|
inline |
Returns the maximum tolerance.
|
inline |
Returns the next Edge.
|
inline |
Sets the maximum tolerance at which to start checking in the intersector.
void BRepClass_Edge::SetNextEdge | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | theMapVE | ) |
Finds and sets the next Edge for the current.
|
inline |
Sets the status of whether we are using boxes or not.
|
inline |
Returns true if we are using boxes in the intersector.